# H45011_CIRequestRes Class Reference

`#include <h45011.h>`

Inheritance diagram for H45011_CIRequestRes:

List of all members.

## Public Types

enum | OptionalFields { e_resultExtension }

## Public Member Functions

| H45011_CIRequestRes (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H45011_CIStatusInformation | m_ciStatusInformation
H45011_ArrayOf_MixedExtension | m_resultExtension

## Member Enumeration Documentation

enum H45011_CIRequestRes::OptionalFields

Enumerator:

  e_resultExtension |

## Constructor & Destructor Documentation

H45011_CIRequestRes::H45011_CIRequestRes | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H45011_CIRequestRes::GetDataLength | ( |  | ) | const

PBoolean H45011_CIRequestRes::Decode | ( | PASN_Stream & | strm | ) |

void H45011_CIRequestRes::Encode | ( | PASN_Stream & | strm | ) | const

void H45011_CIRequestRes::PrintOn | ( | ostream & | strm | ) | const

Comparison H45011_CIRequestRes::Compare | ( | const PObject & | obj | ) | const

PObject* H45011_CIRequestRes::Clone | ( |  | ) | const

## Member Data Documentation

H45011_CIStatusInformation H45011_CIRequestRes::m_ciStatusInformation

H45011_ArrayOf_MixedExtension H45011_CIRequestRes::m_resultExtension

The documentation for this class was generated from the following file:

- h45011.h